body {
  background: #000;
  font-family: "Roboto", sans-serif;
  /* overflow: hidden; */
}

.container {
  display: flex;
  max-width: 1200px;
  margin: 0px auto 50px;
}

.gridContainer {
  display: grid;
  width: fit-content;
  grid-template-columns: auto auto auto;
  gap: 2px;
  border-radius: 10px;
}

.fill {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0px;
  left: 0px;
  cursor: pointer;
  border-radius: 10px;
}

.hold {
  border: 5px solid #ccc;
}

.empty {
  position: relative;
  display: inline-block;
  height: 42px;
  width: 144px;
  border-radius: 0px;
  margin: 0px 0px -2px;
  /* border: 1px solid #8080801f; */
  /* background: radial-gradient(#5ac9f9, #4e54ff6b); */
  -ms-user-select: none;
  -webkit-user-select: none;
  user-select: none;
  /* overflow: hidden; */
  /* border: 1px solid red; */
}

.addIcon {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  color: #00000091;
  font-size: 18px;
  height: 100%;
  width: 100%;
  font-weight: 400;
  transform: skew(-58deg, 8deg) rotate(0deg);
}

.file {
  height: 100%;
  width: 100%;
  opacity: 0;
}

.image {
  display: block;
  width: 100%;
  height: 100%;
  border-radius: 10px;
  object-fit: contain;
}

.delete {
  display: none;
}

.fill:hover .delete {
  display: block;
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 2px solid white;
  border-radius: 50%;
  height: 35px;
  width: 35px;
  background-color: red;
  top: -15px;
  right: -15px;
  font-size: 20px;
  font-weight: 600;
  color: white;
  z-index: 10;
  box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
}

.hovered {
  background: hsl(242deg 88.4% 66.3% / 17%);
}

div.main-table {
    position: relative;
    max-width: 650px;
    width: 100%;
    margin: 0px auto 0;
}

div.main-table .gridContainer.gridContainer2 {
    position: absolute;
    top: 38px;
    left: 93px;
    transform: skew(55deg, -9deg);
    gap: 0px;
    transform: rotate(0deg) skew(56deg,-9deg);
}
div.table-items {
    position: relative;
    max-width: 420px;
    width: 100%;
    display: flex;
    margin: 0px auto 0px;
    align-items: center;
    justify-content: center;
}

div.table-items .gridContainer.gridContainer1 {
    display: block;
    width: 100%;
    border: 1px solid #1e1d1d;
    border-radius: 0px;
    display: grid;
    border-bottom: unset;
}

div.table-items .gridContainer.gridContainer1 .empty {
    height: 120px;
    vertical-align: top;
    width: 100%;
    margin: 0px -1px -2px;
    border-right: unset;
    border-left: 1px solid #1e1d1d;
    border-bottom: 1px solid #1e1d1d;
}

div.table-items .gridContainer.gridContainer1 .empty img.image {
    object-fit: contain;
    /* padding: 12px; */
    width: 90px;
}

div.main-table img {
    width: 100%;
}
div.main-table .empty .fill {
    transform: skew(-56deg, 0deg) rotate(0deg);
    height: 65px;
    width: 144px;
    position: relative;
    top: -25px;
}

div.main-table .gridContainer.gridContainer2 .addIcon {
    opacity: 0;
    /* transition: all 0.3s linear; */
}

div.main-table .gridContainer.gridContainer2.come .addIcon {
    opacity: 1;
}

div.main-table .empty .fill:has(img[src="cup.png"]) {
    transform: skew(-56deg, 4deg) rotate(6deg);
}

div.main-table .empty .fill:has(img[src="box.png"]) {
    top: -52px;
    left: 32px;
    height: 100px;
    transform: skew(-56deg, 14deg) rotate(0deg);
}
div.main-table .empty .fill:has(img[src="laptop.png"]) {
    height: 100px;
    top: -50px;
    left: 35px;
    transform: skew(-56deg, 8deg) rotate(0deg);
}

div.main-table .empty .fill:has(img[src="plant.png"]){
    height: 140px;
    top: -100px;
    left: 65px;
    transform: skew(-56deg, 0deg) rotate(4deg);    
}

div.main-table .empty .fill:has(img[src="books.png"]){
        height: 100px;
        top: -50px;
        left: 30px;
        transform: skew(-56deg, 10deg) rotate(0deg);
}

div.main-table .empty .fill:has(img[src="bag.png"]){
    transform: skew(-56deg, 10deg) rotate(0deg);
    height: 100px;
    top: -55px;
    left: 50px;    
}

div.table-items .gridContainer.gridContainer1 .empty .fill {
    right: 0px;
    margin: auto;
    display: flex;
    justify-content: center;
}

.empty:has(.starting) {
    z-index: 999;
}

div.main-table .gridContainer.gridContainer2 .empty:has(.starting+.fill img) {
    z-index: -1;
}
h1 {
    color: #fff;
    text-align: center;
    margin: 50px 0px 150px;
}